QGIS Application - Bug report #714
WinQGIS: which GRASS version included?
2007-05-12 05:14 AM - Markus Neteler

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10773
Description

Hi,

my attempts to figure this out weren't successfull so far. Which GRASS version do you include in the QGIS for Windows version? Please
post it there:

http://qgis.org/uploadfiles/testbuilds/
-> README
If other QGIS packages include GRASS, please post also there the version. This is relevant for us since people often report problems to

us, too.

thanks,
Markus

History

#1 - 2007-05-13 07:59 AM - Gary Sherman

The windows builds are using GRASS 6.3-cvs, but | can't tell you which revision. We will update to the latest prior to release.

#2 - 2007-05-13 10:47 AM - Markus Neteler

It would be good to synchronize this a bit since there is no official 6.3.0 release yet. However, we can give recommendations on stability and such.

#3 - 2007-06-10 09:30 PM - Tim Sutton

- Resolution set to fixed

- Status changed from Open to Closed

Hi Markus

In 1 have included specifics of grass and other libs used in the windows build in doc/index.html. This page appears under help -> help contents, and as the

readme at the end of the installer process. | prefer to do it this way than your suggested way as teh versions are then shipeed with the exe. | have also add
a task item to the relase template an example of which you can see at : http://wiki.qgis.org/qgiswiki/ReleaseChecklist0.8.1

In regards to collaboration - yes it would be great to collaborate with GRASS roject on which version to include in the QGIS bundle. Even better Im hoping
http://wiki.qgis.org/qgiswiki/ReleaseChecklist0.8.1

that we can get binary copy of msys built grass from teh grass project to include in qgis. | think this will be advantageous to both projects - GRASS project
can feel comfortable with the quality of the GRASS build being shiped with QGIS and QGIS will be freed up from the time we have to invest in grass

specific issues.

Does grass not have a programmatic way to requestion what version number the current build is? It ould be a handy addition which would enable us to
dynamically check which grass we have and display the info in qgis help-> about box.

Regards

Tim

#4 - 2007-06-23 09:57 AM - Markus Neteler
Hi Tim,
yes, there is a programmatic way:
include/version.h.in
#define GRASS_VERSION_STRING "@(#) @GRASS_VERSION_NUMBER®@ (@GRASS_VERSION_DATE@)"
#define GRASS_VERSION_MAJOR @GRASS_VERSION_MAJOR@
#define GRASS_VERSION_MINOR @GRASS_VERSION_MINOR@
#define GRASS_VERSION_RELEASE @GRASS_VERSION_RELEASE@
is expanded through "configure" to
include/version.h
#define GRASS_VERSION_STRING "@(#) 6.3.cvs (2007)"
#define GRASS_VERSION_MAJOR 6
#define GRASS_VERSION_MINOR 3
#define GRASS_VERSION_RELEASE cvs
Once we have done the migration to SVN, we can atomically track the SVN version number. With CVS unfortunately not possible.

Testing procedure: Here | have accumulated some GRASS tests:

http:/mpa.itc.itymarkus/osg05/testing _grass6_software.txt

Best,
Markus

#5 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted
